> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/55.-przeslij-pliki-zip-powyzej-6-mb.md).

# 55. Prześlij pliki ZIP (powyżej 6 MB)

Z powodu ograniczenia technicznego dostawcy chmury AWS przesyłanie plików większych niż 6 MB musi być wykonane w 2 krokach:

#### **1. Poprosić o prepodpisany link do bezpośredniego przesłania.**  <a href="#step1" id="step1"></a>

Jako dane wejściowe:&#x20;

* `fileType` - `plon` LUB `gleba` LUB `zastosowanego` LUB `adapt` LUB `granica`,&#x20;
* `farmUuid` (opcjonalne) - UUID gospodarstwa, do którego należy zaimportować plik.&#x20;

Jako dane wyjściowe:

* `uuid` - oczekiwany UUID po przesłaniu i przetworzeniu,
* `farmUuid` - taki sam jak w danych wejściowych,
* `fileType` - taki sam jak w danych wejściowych,
* `s3Url` - URL używany do przesłania pliku,
* `s3Fields` - atrybuty do umieszczenia w formularzu przesyłania pliku.

Szczegóły dotyczące użycia `s3Url` i `s3Fields` opisane są w drugim kroku.&#x20;

Atrybuty są ważne tylko przez 60 minut na przesłanie pliku.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Wyślij lokalny plik na s3Url z uprzednio określonymi atrybutami formularza z s3Fields.**  <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Powiadomienia o przetwarzaniu zostaną dostarczone za pomocą mechanizmu subskrypcji opisanego w\
&#x20;[1. Subskrypcja: Pobierz zdarzenia](/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/1.-subskrypcja-pobierz-zdarzenia.md).

{% hint style="info" %}
Nagłówek odpowiedzi zawiera `Etag` nagłówek, który pojawia się na przykład jako `Etag: "6fd3e76992738357ab50039f2c60024e"`. Ta wartość jest następnie używana w GraphQL [query getPlatformContext](/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/83.-zapytanie-zbierz-kontekst-platformy.md) do monitorowania postępu przetwarzania, jak również powiązania z encjami „Field”, „AsAppliedDataset”, „YieldDataset” i „SoilDataset”.
{% endhint %}

{% hint style="info" %}
Użyj `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/55.-przeslij-pliki-zip-powyzej-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
